Index: GUIFilmstripControl.cs
===================================================================
--- GUIFilmstripControl.cs	(revision 27445)
+++ GUIFilmstripControl.cs	(working copy)
@@ -136,6 +136,7 @@
 
     [XMLSkinElement("textXOff")] protected int _textXOff = 0;
     [XMLSkinElement("textYOff")] protected int _textYOff = 0;
+    [XMLSkinElement("spinCanFocus")] protected bool _spinCanFocus = true;
 
     #endregion
 
@@ -2099,10 +2100,16 @@
       if (_listType == GUIListControl.ListType.CONTROL_LIST)
       {
         _listType = GUIListControl.ListType.CONTROL_UPDOWN;
-        if (_upDownControl != null)
+        if (_upDownControl != null && _spinCanFocus)
         {
           _upDownControl.Focus = true;
         }
+        else
+        {
+          _listType = GUIListControl.ListType.CONTROL_LIST;
+          this.Focus = true;
+          base.OnAction(action);
+        }
       }
       else if (_upDownControl != null)
       {
